--- code/trunk/doc/html/pcreprecompile.html 2007/04/24 13:36:11 155 +++ code/trunk/doc/html/pcreprecompile.html 2007/06/13 15:09:54 182 @@ -124,19 +124,9 @@


COMPATIBILITY WITH DIFFERENT PCRE RELEASES

-The layout of the control block that is at the start of the data that makes up -a compiled pattern was changed for release 5.0. If you have any saved patterns -that were compiled with previous releases (not a facility that was previously -advertised), you will have to recompile them for release 5.0 and above. -

-

-If you have any saved patterns in UTF-8 mode that use \p or \P that were -compiled with any release up to and including 6.4, you will have to recompile -them for release 6.5 and above. -

-

-All saved patterns from earlier releases must be recompiled for release 7.0 or -higher, because there was an internal reorganization at that release. +In general, it is safest to recompile all saved patterns when you update to a +new PCRE release, though not all updates actually require this. Recompiling is +definitely needed for release 7.2.


AUTHOR

@@ -149,7 +139,7 @@


REVISION

-Last updated: 24 April 2007 +Last updated: 13 June 2007
Copyright © 1997-2007 University of Cambridge.